# Uses of Interface
org.eclipse.birt.chart.model.attribute.LineAttributes

Packages that use LineAttributes
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of LineAttributes in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
GObjectFactory.`copyOf(LineAttributes src)`
`LineAttributes`
IGObjectFactory.`copyOf(LineAttributes src)`
`LineAttributes`
GObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`LineAttributes`
IGObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
Methods in org.eclipse.birt.chart.computation with parameters of type LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
GObjectFactory.`copyOf(LineAttributes src)`
`LineAttributes`
IGObjectFactory.`copyOf(LineAttributes src)`

## Uses of LineAttributes in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
Grid.`getLineAttributes(int iMajorOrMinor)`
`LineAttributes`
OneAxis.`getLineAttributes()`
`LineAttributes`
Grid.`getTickAttributes(int iMajorOrMinor)`

## Uses of LineAttributes in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
ArcRenderEvent.`getLineAttributes()`
`LineAttributes`
AreaRenderEvent.`getLineAttributes()`
`final LineAttributes`
LineRenderEvent.`getLineAttributes()`
`LineAttributes`
OvalRenderEvent.`getLineAttributes()`
`LineAttributes`
PolygonRenderEvent.`getLineAttributes()`
`LineAttributes`
PrimitiveRenderEvent.`getLineAttributes()`
`LineAttributes`
RectangleRenderEvent.`getLineAttributes()`
`final LineAttributes`
ArcRenderEvent.`getOutline()`
`final LineAttributes`
AreaRenderEvent.`getOutline()`
`LineAttributes`
OvalRenderEvent.`getOutline()`
`LineAttributes`
PolygonRenderEvent.`getOutline()`
`LineAttributes`
RectangleRenderEvent.`getOutline()`
Methods in org.eclipse.birt.chart.event with parameters of type LineAttributes
Modifier and Type
Method
Description
`final void`
LineRenderEvent.`setLineAttributes(LineAttributes _lia)`
Sets the line attributes of this event.
`final void`
ArcRenderEvent.`setOutline(LineAttributes outline)`
Sets the outline for this arc.
`final void`
AreaRenderEvent.`setOutline(LineAttributes outline)`
Sets the outline of this area.
`void`
OvalRenderEvent.`setOutline(LineAttributes lia)`
Sets the outline attributes.
`void`
PolygonRenderEvent.`setOutline(LineAttributes lia)`
Sets the polygon outline attributes
`void`
RectangleRenderEvent.`setOutline(LineAttributes lia)`
Sets the outline attributes of current rectangle.

## Uses of LineAttributes in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
LineAttributes.`copyInstance()`
`LineAttributes`
AttributeFactory.`createLineAttributes()`
Returns a new object of class 'Line Attributes'.
`LineAttributes`
Marker.`getOutline()`
Returns the value of the 'Outline' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type LineAttributes
Modifier and Type
Method
Description
`void`
Marker.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.

## Uses of LineAttributes in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement LineAttributes
Modifier and Type
Class
Description
`class`
`LineAttributesImpl`
An implementation of the model object ' Line Attributes'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
LineAttributesImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final LineAttributes`
LineAttributesImpl.`create(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
LineAttributesImpl.`createDefault(boolean visible)`
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness, boolean visible)`
`LineAttributes`
AttributeFactoryImpl.`createLineAttributes()`
`LineAttributes`
MarkerImpl.`getOutline()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type LineAttributes
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
MarkerImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
MarkerImpl.`setOutline(LineAttributes newOutline)`

## Uses of LineAttributes in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
Axis.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
CurveFitting.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
Dial.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
Grid.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
MarkerLine.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
Needle.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
Label.`getOutline()`
Returns the value of the 'Outline' containment reference.
`LineAttributes`
MarkerRange.`getOutline()`
Returns the value of the 'Outline' containment reference.
`LineAttributes`
Grid.`getTickAttributes()`
Returns the value of the 'Tick Attributes' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type LineAttributes
Modifier and Type
Method
Description
`void`
Axis.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
CurveFitting.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
Dial.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
Grid.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
MarkerLine.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
Needle.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
Label.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
MarkerRange.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
Grid.`setTickAttributes(LineAttributes value)`
Sets the value of the '`Tick Attributes`' containment reference.

## Uses of LineAttributes in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
AxisImpl.`getLineAttributes()`
`LineAttributes`
CurveFittingImpl.`getLineAttributes()`
`LineAttributes`
DialImpl.`getLineAttributes()`
`LineAttributes`
GridImpl.`getLineAttributes()`
`LineAttributes`
MarkerLineImpl.`getLineAttributes()`
`LineAttributes`
NeedleImpl.`getLineAttributes()`
`LineAttributes`
LabelImpl.`getOutline()`
`LineAttributes`
MarkerRangeImpl.`getOutline()`
`LineAttributes`
GridImpl.`getTickAttributes()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type LineAttributes
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
CurveFittingImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GridImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerLineImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
NeedleImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LabelImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GridImpl.`basicSetTickAttributes(LineAttributes newTickAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
CurveFittingImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
DialImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
GridImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
MarkerLineImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
NeedleImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
LabelImpl.`setOutline(LineAttributes newOutline)`
`void`
MarkerRangeImpl.`setOutline(LineAttributes newOutline)`
`void`
GridImpl.`setTickAttributes(LineAttributes newTickAttributes)`

## Uses of LineAttributes in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
Block.`getOutline()`
Returns the value of the 'Outline' containment reference.
`LineAttributes`
ClientArea.`getOutline()`
Returns the value of the 'Outline' containment reference.
`LineAttributes`
Legend.`getSeparator()`
Returns the value of the 'Separator' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type LineAttributes
Modifier and Type
Method
Description
`void`
Block.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
ClientArea.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
Legend.`setSeparator(LineAttributes value)`
Sets the value of the '`Separator`' containment reference.

## Uses of LineAttributes in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
BlockImpl.`getOutline()`
`LineAttributes`
ClientAreaImpl.`getOutline()`
`LineAttributes`
LegendImpl.`getSeparator()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type LineAttributes
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ClientAreaImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LegendImpl.`basicSetSeparator(LineAttributes newSeparator, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setOutline(LineAttributes newOutline)`
`void`
ClientAreaImpl.`setOutline(LineAttributes newOutline)`
`void`
LegendImpl.`setSeparator(LineAttributes newSeparator)`

## Uses of LineAttributes in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
BubbleSeries.`getAccLineAttributes()`
Returns the value of the 'Acc Line Attributes' containment reference.
`LineAttributes`
GanttSeries.`getConnectionLine()`
Returns the value of the 'Connection Line' containment reference.
`LineAttributes`
PieSeries.`getLeaderLineAttributes()`
Returns the value of the 'Leader Line Attributes' containment reference.
`LineAttributes`
LineSeries.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
StockSeries.`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
DifferenceSeries.`getNegativeLineAttributes()`
Returns the value of the 'Negative Line Attributes' containment reference.
`LineAttributes`
GanttSeries.`getOutline()`
Returns the value of the 'Outline' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type LineAttributes
Modifier and Type
Method
Description
`void`
BubbleSeries.`setAccLineAttributes(LineAttributes value)`
Sets the value of the '`Acc Line Attributes`' containment reference.
`void`
GanttSeries.`setConnectionLine(LineAttributes value)`
Sets the value of the '`Connection Line`' containment reference.
`void`
PieSeries.`setLeaderLineAttributes(LineAttributes value)`
Sets the value of the '`Leader Line Attributes`' containment reference.
`void`
LineSeries.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
StockSeries.`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
DifferenceSeries.`setNegativeLineAttributes(LineAttributes value)`
Sets the value of the '`Negative Line Attributes`' containment reference.
`void`
GanttSeries.`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.

## Uses of LineAttributes in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return LineAttributes
Modifier and Type
Method
Description
`LineAttributes`
BubbleSeriesImpl.`getAccLineAttributes()`
`LineAttributes`
GanttSeriesImpl.`getConnectionLine()`
`LineAttributes`
PieSeriesImpl.`getLeaderLineAttributes()`
`LineAttributes`
LineSeriesImpl.`getLineAttributes()`
`LineAttributes`
StockSeriesImpl.`getLineAttributes()`
`LineAttributes`
DifferenceSeriesImpl.`getNegativeLineAttributes()`
`LineAttributes`
GanttSeriesImpl.`getOutline()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type LineAttributes
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BubbleSeriesImpl.`basicSetAccLineAttributes(LineAttributes newAccLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetConnectionLine(LineAttributes newConnectionLine, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
PieSeriesImpl.`basicSetLeaderLineAttributes(LineAttributes newLeaderLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LineSeriesImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
StockSeriesImpl.`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DifferenceSeriesImpl.`basicSetNegativeLineAttributes(LineAttributes newNegativeLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BubbleSeriesImpl.`setAccLineAttributes(LineAttributes newAccLineAttributes)`
`void`
GanttSeriesImpl.`setConnectionLine(LineAttributes newConnectionLine)`
`void`
PieSeriesImpl.`setLeaderLineAttributes(LineAttributes newLeaderLineAttributes)`
`void`
LineSeriesImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
StockSeriesImpl.`setLineAttributes(LineAttributes newLineAttributes)`
`void`
DifferenceSeriesImpl.`setNegativeLineAttributes(LineAttributes newNegativeLineAttributes)`
`void`
GanttSeriesImpl.`setOutline(LineAttributes newOutline)`

## Uses of LineAttributes in org.eclipse.birt.chart.render

Constructors in org.eclipse.birt.chart.render with parameters of type LineAttributes
Modifier
Constructor
Description
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.